List documents
GET
List documents in a knowledge base.
Authorization
AuthorizationheaderrequiredBearer YOUR_API_KEY. Create a key in the dashboard.
Path parameters
senderIdstringrequiredkbIdstringrequired
Query parameters
limitintegerDefault50Limitsmax 100cursorstring
Responses
200List of documents.
itemsobject[]required8 properties
idstringrequiredknowledgeBaseIdstringrequiredtitlestringrequiredcontentLengthintegerrequiredLength of the document content in characters.
chunkCountintegerrequiredNumber of chunks created from this document.
isProcessedbooleanrequiredWhether the document has been processed for RAG.
createdAtstring<date-time>requiredupdatedAtstring<date-time>required
nextCursorstring
401Unauthorized.
codestringrequiredmessagestringrequireddetailsobject
404Knowledge base not found.
codestringrequiredmessagestringrequireddetailsobject